commit 24a3f1d0fc10d2e90aeff7cf1fb63b1fd2dc291f
Author: freddy77 <freddy77>
Date:   Mon Feb 8 12:16:43 2010 +0000

    remove wrong assert

diff --git a/ChangeLog b/ChangeLog
index 4599d6e..b202557 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Feb  8 13:15:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/iconv.c: remove wrong assert
+
 Mon Feb  8 10:46:55 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/config.c: fix some memory problems
 
@@ -2301,4 +2304,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2985 2010/02/08 09:48:08 freddy77 Exp $
+$Id: ChangeLog,v 1.2986 2010/02/08 12:16:43 freddy77 Exp $
diff --git a/src/tds/iconv.c b/src/tds/iconv.c
index 7620f5f..ff53b8a 100644
--- a/src/tds/iconv.c
+++ b/src/tds/iconv.c
@@ -49,7 +49,7 @@
 /* define this for now; remove when done testing */
 #define HAVE_ICONV_ALWAYS 1
 
-TDS_RCSID(var, "$Id: iconv.c,v 1.142 2010/02/07 21:56:10 jklowden Exp $");
+TDS_RCSID(var, "$Id: iconv.c,v 1.143 2010/02/08 12:16:43 freddy77 Exp $");
 
 #define CHARSIZE(charset) ( ((charset)->min_bytes_per_char == (charset)->max_bytes_per_char )? \
 				(charset)->min_bytes_per_char : 0 )
@@ -482,7 +482,6 @@ tds_iconv_info_init(TDSICONV * char_conv, const char *client_name, const char *s
 		}
 	}
 	
-	assert(iconv_names[server_canonical]);
 	if (!iconv_names[server_canonical]) {
 		if (!tds_set_iconv_name(server_canonical)) {
 			tdsdump_log(TDS_DBG_FUNC, "\"%s\" not supported by iconv, using \"%s\" instead\n",

